(defun C:test () (setvar "cmdecho" 0) (setq osmode_old (getvar "osmode")) (command "osmode" "2") (command "ortho" "_off") (setq pickmode (getvar "pickstyle")) (setvar "pickstyle" 0) (command "_ucs" "_w") (arxload "geomcal") (setq PunktA1 (getpoint "\nA1:")) (setq PunktA2 (getpoint "\nA2:")) (setq PunktB1 (getpoint "\nB1:")) (setq PunktB2 (getpoint "\nB2:")) (command "osmode" "0") (setq Point_S (cal "ill(PunktA1,PunktB1,PunktA2,PunktB2)")) (setq MassA (distance PunktA1 PunktA2)) (setq MassB (distance Point_S PunktA2)) (setq MassC (distance PunktA2 PunktB2)) (setq Winkel (- 0 (/ (* MassA 180) MassB))) (setq Point_S1 (cal "plt(PunktA1,PunktA2,0.5)")) (setq Point_S2 (cal "plt(PunktB1,PunktB2,0.5)")) (command "_.circle" Point_S MassB) (command "_.circle" Point_S (- MassB MassC)) (command "_.line" Point_S Point_S1 "") (setq Schnittlinie (entlast)); wäre präziser zu ziehen, reicht aber für den ersten Wurf. (command "_.rotate" Schnittlinie "" Point_S "k" "" Winkel) ; Hier wird nicht wirklich richtig gedreht. ; Scheint ein Verständigungsproblem zwischen ACAD und mir zu sein. ; (entmake '((0 . "CIRCLE") ; Versuch, einen Kreis "richtig" zu zeichnen ; (10 Point_S) ; <= hier wird ein Fehler gemeldet ; Müssen die Koordinaten einzeln angegeben werden? ; (40 . MassC) ; ) ; ) (command "zoom" "g") (setvar "pickstyle" pickmode) (setvar "osmode" osmode_old) (command "_ucs" "_w") (setvar "cmdecho" 1) (command "_ucs" "_w") ) )